import type { CommunicationViewModel } from "./communication.models";
import type { MembershipViewModel } from "./membership.models";
import type { SalutationViewModel } from "@/viewmodels/admin/configuration/salutation.models";

export interface MemberViewModel {
  id: string;
  salutation: SalutationViewModel;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
  firstMembershipEntry?: MembershipViewModel;
  lastMembershipEntry?: MembershipViewModel;
  sendNewsletter?: CommunicationViewModel;
  smsAlarming?: Array<CommunicationViewModel>;
  preferredCommunication?: Array<CommunicationViewModel>;
  note?: string;
}

export interface MemberStatisticsViewModel {
  id: string;
  salutation: string;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  todayAge: number;
  ageThisYear: number;
  exactAge: string;
}

export interface CreateMemberViewModel {
  salutationId: number;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
  note?: string;
}

export interface UpdateMemberViewModel {
  id: string;
  salutationId: number;
  firstname: string;
  lastname: string;
  nameaffix: string;
  birthdate: Date;
  internalId?: string;
  note?: string;
}
